argparse-manpage(1)

NAME
argparse-manpage

SYNOPSIS
argparse-manpage [-h] (--module MODULE | --pyfile PYFILE) (--function FUNCTION | --object OBJECT) [--author AUTHOR] [--author-email AUTHOR_EMAIL] [--project-name NAME] [--url URL]

DESCRIPTION
Build manual page from Python's argparse.ArgumentParser object.

OPTIONS

--module MODULE
    search the OBJECT/FUNCTION in MODULE

--pyfile PYFILE
    search the OBJECT/FUNCTION in FILE

--function FUNCTION
    call FUNCTION from MODULE/FILE to obtain ArgumentParser object

--object OBJECT
    obtain ArgumentParser OBJECT from FUNCTION (to get argparse object) from
    MODULE or FILE

--author AUTHOR

--author-email AUTHOR_EMAIL

--project-name NAME

--url URL

AUTHORS
argparse-manpage was written by Gabriele Giammatteo <gabriele.giammatteo@eng.it>.

DISTRIBUTION
The latest version of argparse-manpage may be downloaded from https://github.com/praiskup/argparse-manpage